<?php
function imagelinethick($image, $x1, $y1, $x2, $y2, $color, $thick)
{
    /* this way it works well only for orthogonal lines
    imagesetthickness($image, $thick);
    return imageline($image, $x1, $y1, $x2, $y2, $color);
    */
/*    if ($thick == 1) {
        return imageline($image, $x1, $y1, $x2, $y2, $color);
    }
*/    $t = $thick / 2 - 0.5;
    if ($x1 == $x2 || $y1 == $y2) {
        return imagefilledrectangle($image, round(min($x1, $x2)), round(min($y1, $y2)), round(max($x1, $x2) + $thick), round(max($y1, $y2)), $color);
    }
    $k = ($y2 - $y1) / ($x2 - $x1); //y = kx + q
    $a = $t / sqrt(1 + pow($k, 2));
    $points = array(
        round($x1 - (1+$k)*$a), round($y1 + (1-$k)*$a),
        round($x1 - (1-$k)*$a), round($y1 - (1+$k)*$a),
        round($x2 + (1+$k)*$a), round($y2 - (1-$k)*$a),
        round($x2 + (1-$k)*$a), round($y2 + (1+$k)*$a),
    );
    imagefilledpolygon($image, $points, 4, $color);
    return imagepolygon($image, $points, 4, $color);
}

function returnCode ($n)
{
	 if($n==" ") return " 1-1-1";
	 else if($n=="  " ) return " 1-1-1-1-1";
 	else if($n==0) return "3-2-1-1";
   else if($n== 1) return "2-2-2-1";
     else if($n==2) return "2-1-2-2";
     else if($n==3 ) return " 1-4-1-1";
     else if($n==4 ) return "1-1-3-2";
     else if($n==5) return " 1-2-3-1";
     else if($n==6 ) return " 1-1-1-4";
     else if($n==7 ) return " 1-3-1-2";
     else if($n==8 ) return "1-2-1-3";
     else if($n==9 ) return " 3-1-1-2";
	 else return 0;
}

function drawbar($image,$x,$y,$n,$l,$c1,$c2,$s=1,$c0=1)
{
	$dx=0;
	$color[1]  = $c2;
	$color[0]  = $c1;
	$sw=0;
	$font = 'arial.ttf';
	if($c0=1)$c0=imagecolorallocate($image, 0x00, 0x00, 0x00);
	if($d=returnCode($n))
	{
		imagettftext($image, 12, 0, $x +$dx, $y+$l+15 , $c0, $font, $n);
		$t=explode("-",$d);
		for($i=0;$i<count($t);$i++)
		{
			imagelinethick($image, $x +$dx, $y, $x+$dx, $y+$l, $color[$sw], $t[$i] * $s);

			$dx +=$t[$i] *$s;
			$sw++;
			if($sw >1) $sw=0;
		}

	}
}
function drawbar2($image,$x,$y,$n,$l,$c1,$c2,$s=1,$c0=1)
{
	$dx=0;
	$color[1]  = $c2;
	$color[0]  = $c1;
	$sw=0;
	$font = 'arial.ttf';
	if($c0=1)$c0=imagecolorallocate($image, 0x00, 0x00, 0x00);
	if($d=returnCode($n))
	{
		imagettftext($image, 12, 0, $x +$dx, $y+$l+15 , $c0, $font, "/".$n);
		$t=explode("-",$d);
		for($i=0;$i<count($t);$i++)
		{
			imagelinethick($image, $x +$dx, $y, $x+$dx, $y+$l, $color[$sw], $t[$i] * $s);

			$dx +=$t[$i] *$s;
			$sw++;
			if($sw >1) $sw=0;
		}

	}
}
?>