<?php
function getPictureFormat($pic)
{
	$pic=basename($pic);
	$t=explode(".",$pic);
	$l=count($t) -1;
	return $t[$l];
}
function getFileFormat($pic)
{
	$pic=basename($pic);
	$t=explode(".",$pic);
	$l=count($t) -1;
	return $t[$l];
}
function checkPictureFormat($pic)
{
	$ft=array("jpg","jpeg","png","gif");
	$tx=strtolower(getPictureFormat($pic));
	if(array_search($tx,$ft) !==false) return 1; else return 0;
}

function resizePicture($upload_picture,$thumbnail, $width, $height)
{
	  //dimension for new height
	  list($width_orig, $height_orig) = getimagesize($upload_picture);
	  
	  $ratio_orig = $width_orig/$height_orig;
	  
	  if ($width/$height > $ratio_orig) {
		 $width = $height*$ratio_orig;
	  } else {
		 $height = $width/$ratio_orig;
	  }
	  $image_p = imagecreatetruecolor($width+4,$height+4);
	  
	  $image = imagecreatefrompicture($upload_picture);
	  //resample
	  imagecopyresampled($image_p,$image,2,2,0,0,$width,$height,$width_orig,$height_orig);
	  //output
	  imageoutputfrompicture($image_p,$thumbnail,80);	
	
}
function PictureResize($picture,$width, $height)
{
	  //dimension for new height
	  list($width_orig, $height_orig) = getimagesize($picture);
	  $thumbnail=dirname($picture)."/temp_".basename($picture);
	  $ratio_orig = $width_orig/$height_orig;
	  
	  if ($width/$height > $ratio_orig) {
		 $width = $height*$ratio_orig;
	  } else {
		 $height = $width/$ratio_orig;
	  }
	  $image_p = imagecreatetruecolor($width+4,$height+4);
	  
	  $image = imagecreatefrompicture($picture);
	  //resample
	  imagecopyresampled($image_p,$image,2,2,0,0,$width,$height,$width_orig,$height_orig);
	  //output
	  if(imageoutputtopicture($image_p,$thumbnail,80))
	  {
	  	unlink($picture);
		rename($thumbnail,$picture);
	  }	

}
function imagecreatefrompicture($pic)
{
	$ext=getPictureFormat($pic);
	if(strtolower($ext) == "jpg" || strtolower($ext) == "jpg" )
	{
		return imagecreatefromjpeg($pic);
	} else if(strtolower($ext) == "gif"  )
	{
		return imagecreatefromgif($pic);
	} else if(strtolower($ext) == "png"  )
	{
		return imagecreatefrompng($pic);
	} else
	{
		return imagecreatefromgd($pic);
	}
}
function imageoutput($pic)
{
	$ext=getPictureFormat($pic);
	if(strtolower($ext) == "jpg" || strtolower($ext) == "jpg" )
	{
		return imagejpeg($pic);
	} else if(strtolower($ext) == "gif"  )
	{
		return imagegif($pic);
	} else if(strtolower($ext) == "png"  )
	{
		return imagepng($pic);
	} else
	{
		return imagegd($pic);
	}
}
function imageoutputtopicture($image,$file,$quality)
{
	$ext=getPictureFormat($file);
	if(strtolower($ext) == "jpg" || strtolower($ext) == "jpg" )
	{
		return imagejpeg($image,$file,$quality);
	} else if(strtolower($ext) == "gif"  )
	{
		return imagegif($image,$file,$quality);
	} else if(strtolower($ext) == "png"  )
	{
		return imagepng($image,$file,$quality);
	} else
	{
		return imagegd($image,$file,$quality);
	}
}
function resizeToIconSize($picture,$folder,$v)
{

	if(!is_dir("{$folder}/{$v}"))
	{
		mkdir("{$folder}/{$v}");
	}
	$thumbnail="{$folder}/{$v}/".basename($picture);
	resizePicture($picture,$thumbnail,$v,$v);
	unlink($picture);
}
function getIconSize($picture,$folder)
{
	$size=array("16","32","64");
	foreach ($size as $k=>$v)
	{
		if(!is_dir("{$folder}/{$v}"))
		{
			mkdir("{$folder}/{$v}");
		}
		$thumbnail="{$folder}/{$v}/".basename($picture);
		resizePicture($picture,$thumbnail,$v,$v);
	}
}
function uploadPicture($file, $UploadDir)
{
    $tk=basename($file['name']);
		    if(!checkPictureFormat($tk)) die();
			if(empty($tk)) return 0;;
			if(!is_dir($UploadDir))
			{
				mkdir($UploadDir,0755);
			}
			$rand=rand(9000,30000);
			$UploadFile = $UploadDir .$rand.basename($file['name']);
			if (move_uploaded_file($file['tmp_name'], $UploadFile)) {
				PictureResize($UploadFile,140,140);
				return $UploadFile;
			}
            return 0;

}

?>